Loading...
Searching...
No Matches
Dune::Amg::AggregateRenumberer< G > Class Template Reference

`#include <dune/istl/paamg/renumberer.hh>`

## Public Types

typedef G::VertexDescriptor | Vertex
| The vertex type.

## Public Member Functions

| AggregateRenumberer (AggregatesMap< Vertex > &aggregates)
| Constructor.
| operator Vertex () const
| Conversion to vertex.
void | operator() (const typename G::ConstEdgeIterator &edge)
void | operator++ ()

## Protected Attributes

Vertex | number_
AggregatesMap< Vertex > & | aggregates_

## Member Typedef Documentation

## Vertex

template<class G>

typedef G::VertexDescriptor Dune::Amg::AggregateRenumberer< G >::Vertex

The vertex type.

## Constructor & Destructor Documentation

## AggregateRenumberer()

template<class G>

Dune::Amg::AggregateRenumberer< G >::AggregateRenumberer | ( | AggregatesMap< Vertex > & | aggregates | ) |

Constructor.

Parameters

  aggregates | The aggregate map to renumber.

## Member Function Documentation

## operator Vertex()

template<class G>

Dune::Amg::AggregateRenumberer< G >::operator Vertex | ( |  | ) | const

Conversion to vertex.

## operator()()

template<class G>

void Dune::Amg::AggregateRenumberer< G >::operator() | ( | const typename G::ConstEdgeIterator & | edge | ) |

## operator++()

template<class G>

void Dune::Amg::AggregateRenumberer< G >::operator++ | ( |  | ) |

## Member Data Documentation

## aggregates_

template<class G>

AggregatesMap<Vertex>& Dune::Amg::AggregateRenumberer< G >::aggregates_

protected

## number_

template<class G>

Vertex Dune::Amg::AggregateRenumberer< G >::number_

protected

The documentation for this class was generated from the following file:

- renumberer.hh